# Nept ## Get NEPT token params **get** `/api/v1/nept/params` Get NEPT token params ### Query Parameters - `with_text: optional boolean` Include text variation fields - `with_value: optional boolean` Calculate and include USD values for amounts, where applicable ### Returns - `data: NeptParams` - `asset_info: AssetInfo` Asset identifiers with associated metadata - `asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `id: string` - `group: "native" or "token"` - `"native"` - `"token"` - `group_key: string` - `classification: AssetClassification` The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.) Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification. While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change. - `Regular = object { kind, neptune_receipt_asset }` - `kind: "regular"` - `"regular"` - `neptune_receipt_asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `NeptuneReceiptToken = object { kind, origin_asset }` - `kind: "neptune_receipt_token"` - `"neptune_receipt_token"` - `origin_asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `LiquidStakingToken = object { kind, origin_asset }` - `kind: "liquid_staking_token"` - `"liquid_staking_token"` - `origin_asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `metadata: AssetMetadata` Additional metadata for assets - `decimals_denom: number` Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. `18` for `INJ`) - `decimals_display: number` Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations) - `name: string` Full name of the asset - `symbol: string` Symbol of the asset, e.g.: `NEPT` `INJ` - `symbol_denom: string` Denom symbol for the asset (e.g. `inj` for `INJ`, `sat` for `BTC`) - `emission_rate: string` The emission rate of NEPT in tokens per year - `extra: object { text, value }` - `text: object { emission_rate }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `emission_rate: string` - `value: object { emission_rate, extra, price }` USD values for the corresponding amounts above. Will not be null when query param `with_value` is `true`. ### Note This variant group contains an additional `price` field (set to the number used in value calculation). The embedded text group will contain the text variant if `with_text` was specified as well. - `emission_rate: string` - `extra: object { text }` - `text: object { emission_rate, price }` Human-readable variants of USD values. Will not be null when query params `with_text` and `with_value` are `true`. - `emission_rate: string` - `price: string` Text representation of price - `price: string` Price used in value calculations - `staking_pools: array of object { duration, extra, index, params }` Staking pools - `duration: number` The lockup duration for this pool in seconds - `extra: object { text }` - `text: object { duration, index }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `duration: string` - `index: string` - `index: number` The ordered index (position) of this pool - `params: StakingPoolParams` Staking pool contract parameters - `flash_loan_weight: string` The pool's weight (multiplier) for flash loans volume - `gov_weight: string` The pool's weight (multiplier) on governance for an associated stake - `health_weight: string` The pool's weight (multiplier) on account health for an associated stake - `reward_weight: string` The pool's weight (multiplier) on rewards for an associated stake - `tokens_per_weight: number` Weight:token scaling factor This is defined in the contract spec to mitigate library type restrictions - `error: unknown` Error data. Guaranteed `null` for successful response. - `status: number` HTTP status. Successful responses are guaranteed to be < `400`. Conversely, error responses are guaranteed to be >= `400`. - `status_text: string` HTTP status text ### Example ```http curl https://api-v2.nept.finance/api/v1/nept/params ``` #### Response ```json { "data": { "asset_info": { "asset": { "id": "native;factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept", "group": "native", "group_key": "factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept" }, "metadata": { "name": "Neptune Token", "symbol": "NEPT", "symbol_denom": "nept", "decimals_denom": 6, "decimals_display": 5 }, "classification": { "kind": "regular", "neptune_receipt_asset": null } }, "emission_rate": "1000000000000", "tokens_per_weight": 1000, "staking_pools": [ { "index": 0, "duration": 604800, "extra": { "text": { "duration": "7 days", "index": "1" } }, "params": { "reward_weight": "2", "gov_weight": "2", "health_weight": "1", "flash_loan_weight": "0" } }, { "index": 1, "duration": 2592000, "extra": { "text": { "duration": "30 days", "index": "2" } }, "params": { "reward_weight": "2", "gov_weight": "2", "health_weight": "1", "flash_loan_weight": "0" } }, { "index": 2, "duration": 7776000, "extra": { "text": { "duration": "90 days", "index": "3" } }, "params": { "reward_weight": "2", "gov_weight": "2", "health_weight": "1", "flash_loan_weight": "0" } } ], "extra": { "text": { "emission_rate": "1,000,000.00000 NEPT" }, "value": { "price": "0.032585758453916404", "emission_rate": "32585.758453916404", "extra": { "text": { "emission_rate": "$32,585.75", "price": "$0.03" } } } } }, "error": null, "status": 200, "status_text": "200 OK" } ``` ## Get NEPT token state **get** `/api/v1/nept/state` Get NEPT token state ### Query Parameters - `with_text: optional boolean` Include text variation fields - `with_value: optional boolean` Calculate and include USD values for amounts, where applicable ### Returns - `data: NeptState` - `extra: object { text, value }` - `text: object { total_claimed, total_issued, total_locked, total_supply }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `total_claimed: string` - `total_issued: string` - `total_locked: string` - `total_supply: string` - `value: object { extra, price, total_claimed, 3 more }` USD values for the corresponding amounts above. Will not be null when query param `with_value` is `true`. ### Note This variant group contains an additional `price` field (set to the number used in value calculation). The embedded text group will contain the text variant if `with_text` was specified as well. - `extra: object { text }` - `text: object { price, total_claimed, total_issued, 2 more }` Human-readable variants of USD values. Will not be null when query params `with_text` and `with_value` are `true`. - `price: string` Text representation of price - `total_claimed: string` - `total_issued: string` - `total_locked: string` - `total_supply: string` - `price: string` Price used in value calculations - `total_claimed: string` - `total_issued: string` - `total_locked: string` - `total_supply: string` - `staking: array of object { duration, extra, index, state }` Staking pools (current pool state is included) - `duration: number` The lockup duration for this pool in seconds - `extra: object { text }` - `text: object { duration, index }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `duration: string` - `index: string` - `index: number` The ordered index (position) of this pool - `state: StakingPoolState` Current contract state of staking pool - `extra: object { text, value }` - `text: object { total_bonded }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `total_bonded: string` - `value: object { extra, price, total_bonded }` USD values for the corresponding amounts above. Will not be null when query param `with_value` is `true`. ### Note This variant group contains an additional `price` field (set to the number used in value calculation). The embedded text group will contain the text variant if `with_text` was specified as well. - `extra: object { text }` - `text: object { price, total_bonded }` Human-readable variants of USD values. Will not be null when query params `with_text` and `with_value` are `true`. - `price: string` Text representation of price - `total_bonded: string` - `price: string` Price used in value calculations - `total_bonded: string` - `total_bonded: string` The total amount staked to this pool - `total_claimed: string` Total amount of NEPT claimed, either locked or unlocked Includes initial balances and claimed rewards but not unclaimed rewards - `total_issued: string` Total amount of NEPT issued, either locked or unlocked Includes initial balances and all claimed or claimable rewards - `total_locked: string` Total amount of NEPT locked Inlcudes unlocks which have not yet been claimed - `total_supply: string` Total supply of NEPT Includes locked and unissued tokens - `error: unknown` Error data. Guaranteed `null` for successful response. - `status: number` HTTP status. Successful responses are guaranteed to be < `400`. Conversely, error responses are guaranteed to be >= `400`. - `status_text: string` HTTP status text ### Example ```http curl https://api-v2.nept.finance/api/v1/nept/state ``` #### Response ```json { "data": { "total_issued": "3959490356", "total_claimed": "4001000382", "total_locked": "7241108121", "total_supply": "51464522", "staking": [ { "index": 0, "duration": 604800, "extra": { "text": { "duration": "7 days", "index": "1" } }, "state": { "total_bonded": "0", "extra": { "text": { "total_bonded": "0.00000 NEPT" }, "value": { "total_bonded": "0", "price": "0.032585758453916404", "extra": { "text": { "price": "$0.03", "total_bonded": "$0.00" } } } } } }, { "index": 1, "duration": 2592000, "extra": { "text": { "duration": "30 days", "index": "2" } }, "state": { "total_bonded": "0", "extra": { "text": { "total_bonded": "0.00000 NEPT" }, "value": { "total_bonded": "0", "price": "0.032585758453916404", "extra": { "text": { "price": "$0.03", "total_bonded": "$0.00" } } } } } }, { "index": 2, "duration": 7776000, "extra": { "text": { "duration": "90 days", "index": "3" } }, "state": { "total_bonded": "0", "extra": { "text": { "total_bonded": "0.00000 NEPT" }, "value": { "total_bonded": "0", "price": "0.032585758453916404", "extra": { "text": { "price": "$0.03", "total_bonded": "$0.00" } } } } } } ], "extra": { "text": { "total_claimed": "4,001.00038 NEPT", "total_supply": "51.46452 NEPT", "total_locked": "7,241.10812 NEPT", "total_issued": "3,959.49035 NEPT" }, "value": { "total_claimed": "130.3756320218792618", "total_issued": "129.022996341227472068", "total_locked": "235.957000169598477259", "total_supply": "1.677010482838266759", "price": "0.032585758453916404", "extra": { "text": { "price": "$0.03", "total_issued": "$129.02", "total_locked": "$235.95", "total_claimed": "$130.37", "total_supply": "$1.67" } } } } }, "error": null, "status": 200, "status_text": "200 OK" } ``` ## Get NEPT staking overview (incl. state + params) **get** `/api/v1/nept/staking` Get NEPT staking overview (incl. state + params) ### Query Parameters - `with_text: optional boolean` Include text variation fields - `with_value: optional boolean` Calculate and include USD values for amounts, where applicable ### Returns - `data: object { asset_info, global_state, pools }` - `asset_info: AssetInfo` Asset identifiers with associated metadata - `asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `id: string` - `group: "native" or "token"` - `"native"` - `"token"` - `group_key: string` - `classification: AssetClassification` The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.) Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification. While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change. - `Regular = object { kind, neptune_receipt_asset }` - `kind: "regular"` - `"regular"` - `neptune_receipt_asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `NeptuneReceiptToken = object { kind, origin_asset }` - `kind: "neptune_receipt_token"` - `"neptune_receipt_token"` - `origin_asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `LiquidStakingToken = object { kind, origin_asset }` - `kind: "liquid_staking_token"` - `"liquid_staking_token"` - `origin_asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `metadata: AssetMetadata` Additional metadata for assets - `decimals_denom: number` Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. `18` for `INJ`) - `decimals_display: number` Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations) - `name: string` Full name of the asset - `symbol: string` Symbol of the asset, e.g.: `NEPT` `INJ` - `symbol_denom: string` Denom symbol for the asset (e.g. `inj` for `INJ`, `sat` for `BTC`) - `global_state: object { extra, rewards_last_distributed, stake_acc }` Staking state values that are not directly associated to a pool - `extra: object { text }` - `text: object { rewards_last_distributed }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `rewards_last_distributed: string` - `rewards_last_distributed: string` When staking rewards were last distributed - `stake_acc: string` **! TODO:** rename, proper description, text/value? stake_acc = ∫ ( emission_rate / total_reward_weight ) dt - `pools: array of StakingPoolFull` List of available staking pools - `duration: number` The lockup duration for this pool in seconds - `extra: object { text }` - `text: object { duration, index }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `duration: string` - `index: string` - `index: number` The ordered index (position) of this pool - `params: StakingPoolParams` Staking pool contract parameters - `flash_loan_weight: string` The pool's weight (multiplier) for flash loans volume - `gov_weight: string` The pool's weight (multiplier) on governance for an associated stake - `health_weight: string` The pool's weight (multiplier) on account health for an associated stake - `reward_weight: string` The pool's weight (multiplier) on rewards for an associated stake - `state: StakingPoolState` Current contract state of staking pool - `extra: object { text, value }` - `text: object { total_bonded }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `total_bonded: string` - `value: object { extra, price, total_bonded }` USD values for the corresponding amounts above. Will not be null when query param `with_value` is `true`. ### Note This variant group contains an additional `price` field (set to the number used in value calculation). The embedded text group will contain the text variant if `with_text` was specified as well. - `extra: object { text }` - `text: object { price, total_bonded }` Human-readable variants of USD values. Will not be null when query params `with_text` and `with_value` are `true`. - `price: string` Text representation of price - `total_bonded: string` - `price: string` Price used in value calculations - `total_bonded: string` - `total_bonded: string` The total amount staked to this pool - `error: unknown` Error data. Guaranteed `null` for successful response. - `status: number` HTTP status. Successful responses are guaranteed to be < `400`. Conversely, error responses are guaranteed to be >= `400`. - `status_text: string` HTTP status text ### Example ```http curl https://api-v2.nept.finance/api/v1/nept/staking ``` #### Response ```json { "data": { "asset_info": { "asset": { "id": "native;factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept", "group": "native", "group_key": "factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept" }, "metadata": { "name": "Neptune Token", "symbol": "NEPT", "symbol_denom": "nept", "decimals_denom": 6, "decimals_display": 5 }, "classification": { "kind": "regular", "neptune_receipt_asset": null } }, "pools": [ { "index": 0, "duration": 604800, "extra": { "text": { "duration": "7 days", "index": "1" } }, "params": { "reward_weight": "2", "gov_weight": "2", "health_weight": "1", "flash_loan_weight": "0" }, "state": { "total_bonded": "0", "extra": { "text": { "total_bonded": "0.00000 NEPT" }, "value": { "total_bonded": "0", "price": "0.032585758453916404", "extra": { "text": { "price": "$0.03", "total_bonded": "$0.00" } } } } } }, { "index": 1, "duration": 2592000, "extra": { "text": { "duration": "30 days", "index": "2" } }, "params": { "reward_weight": "2", "gov_weight": "2", "health_weight": "1", "flash_loan_weight": "0" }, "state": { "total_bonded": "0", "extra": { "text": { "total_bonded": "0.00000 NEPT" }, "value": { "total_bonded": "0", "price": "0.032585758453916404", "extra": { "text": { "price": "$0.03", "total_bonded": "$0.00" } } } } } }, { "index": 2, "duration": 7776000, "extra": { "text": { "duration": "90 days", "index": "3" } }, "params": { "reward_weight": "2", "gov_weight": "2", "health_weight": "1", "flash_loan_weight": "0" }, "state": { "total_bonded": "0", "extra": { "text": { "total_bonded": "0.00000 NEPT" }, "value": { "total_bonded": "0", "price": "0.032585758453916404", "extra": { "text": { "price": "$0.03", "total_bonded": "$0.00" } } } } } } ], "global_state": { "stake_acc": "0", "rewards_last_distributed": "2026-04-09T23:35:09.140232993Z", "extra": { "text": { "rewards_last_distributed": "2026-04-09 11:35:09 PM +00:00" } } } }, "error": null, "status": 200, "status_text": "200 OK" } ``` ## Domain Types ### Nept Params - `NeptParams = object { asset_info, emission_rate, extra, 2 more }` - `asset_info: AssetInfo` Asset identifiers with associated metadata - `asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `id: string` - `group: "native" or "token"` - `"native"` - `"token"` - `group_key: string` - `classification: AssetClassification` The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.) Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification. While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change. - `Regular = object { kind, neptune_receipt_asset }` - `kind: "regular"` - `"regular"` - `neptune_receipt_asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `NeptuneReceiptToken = object { kind, origin_asset }` - `kind: "neptune_receipt_token"` - `"neptune_receipt_token"` - `origin_asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `LiquidStakingToken = object { kind, origin_asset }` - `kind: "liquid_staking_token"` - `"liquid_staking_token"` - `origin_asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `metadata: AssetMetadata` Additional metadata for assets - `decimals_denom: number` Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. `18` for `INJ`) - `decimals_display: number` Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations) - `name: string` Full name of the asset - `symbol: string` Symbol of the asset, e.g.: `NEPT` `INJ` - `symbol_denom: string` Denom symbol for the asset (e.g. `inj` for `INJ`, `sat` for `BTC`) - `emission_rate: string` The emission rate of NEPT in tokens per year - `extra: object { text, value }` - `text: object { emission_rate }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `emission_rate: string` - `value: object { emission_rate, extra, price }` USD values for the corresponding amounts above. Will not be null when query param `with_value` is `true`. ### Note This variant group contains an additional `price` field (set to the number used in value calculation). The embedded text group will contain the text variant if `with_text` was specified as well. - `emission_rate: string` - `extra: object { text }` - `text: object { emission_rate, price }` Human-readable variants of USD values. Will not be null when query params `with_text` and `with_value` are `true`. - `emission_rate: string` - `price: string` Text representation of price - `price: string` Price used in value calculations - `staking_pools: array of object { duration, extra, index, params }` Staking pools - `duration: number` The lockup duration for this pool in seconds - `extra: object { text }` - `text: object { duration, index }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `duration: string` - `index: string` - `index: number` The ordered index (position) of this pool - `params: StakingPoolParams` Staking pool contract parameters - `flash_loan_weight: string` The pool's weight (multiplier) for flash loans volume - `gov_weight: string` The pool's weight (multiplier) on governance for an associated stake - `health_weight: string` The pool's weight (multiplier) on account health for an associated stake - `reward_weight: string` The pool's weight (multiplier) on rewards for an associated stake - `tokens_per_weight: number` Weight:token scaling factor This is defined in the contract spec to mitigate library type restrictions ### Nept State - `NeptState = object { extra, staking, total_claimed, 3 more }` - `extra: object { text, value }` - `text: object { total_claimed, total_issued, total_locked, total_supply }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `total_claimed: string` - `total_issued: string` - `total_locked: string` - `total_supply: string` - `value: object { extra, price, total_claimed, 3 more }` USD values for the corresponding amounts above. Will not be null when query param `with_value` is `true`. ### Note This variant group contains an additional `price` field (set to the number used in value calculation). The embedded text group will contain the text variant if `with_text` was specified as well. - `extra: object { text }` - `text: object { price, total_claimed, total_issued, 2 more }` Human-readable variants of USD values. Will not be null when query params `with_text` and `with_value` are `true`. - `price: string` Text representation of price - `total_claimed: string` - `total_issued: string` - `total_locked: string` - `total_supply: string` - `price: string` Price used in value calculations - `total_claimed: string` - `total_issued: string` - `total_locked: string` - `total_supply: string` - `staking: array of object { duration, extra, index, state }` Staking pools (current pool state is included) - `duration: number` The lockup duration for this pool in seconds - `extra: object { text }` - `text: object { duration, index }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `duration: string` - `index: string` - `index: number` The ordered index (position) of this pool - `state: StakingPoolState` Current contract state of staking pool - `extra: object { text, value }` - `text: object { total_bonded }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `total_bonded: string` - `value: object { extra, price, total_bonded }` USD values for the corresponding amounts above. Will not be null when query param `with_value` is `true`. ### Note This variant group contains an additional `price` field (set to the number used in value calculation). The embedded text group will contain the text variant if `with_text` was specified as well. - `extra: object { text }` - `text: object { price, total_bonded }` Human-readable variants of USD values. Will not be null when query params `with_text` and `with_value` are `true`. - `price: string` Text representation of price - `total_bonded: string` - `price: string` Price used in value calculations - `total_bonded: string` - `total_bonded: string` The total amount staked to this pool - `total_claimed: string` Total amount of NEPT claimed, either locked or unlocked Includes initial balances and claimed rewards but not unclaimed rewards - `total_issued: string` Total amount of NEPT issued, either locked or unlocked Includes initial balances and all claimed or claimable rewards - `total_locked: string` Total amount of NEPT locked Inlcudes unlocks which have not yet been claimed - `total_supply: string` Total supply of NEPT Includes locked and unissued tokens ### Nept Unlock Distribution Group - `NeptUnlockDistributionGroup = object { amount, amount_claimable, amount_claimed, 8 more }` - `amount: string` The sum of all token distribution unlock amounts for this group. This value is immutable and does not change with regards to expiry/reclamation/lock states. - `amount_claimable: string` The amount currently claimable This takes into account: reclamation, lock state, expiry, and previously claimed. In other words, this is an accurate representation of what the user can currently claim. - `amount_claimed: string` The amount that has already been successfully claimed by the user - `amount_expired: string` The amount that has expired. This will be the remaining unclaimed amount (if any) once the time specified by the `expires_at` is past (if one is set). **NOTE:** Reclaimed amouts take priority. - If the remaining amount is reclaimed prior to a configured `expires_at`, this will remain at 0 and will not change even after the `expires_at` time is reached. - `amount_held: string` The total amount of NEPT currently held by the addresses in this group. - `amount_locked: string` The total amount of NEPT currently time-locked. **NOTE:** This does not factor in reclaimed or expired states. - For linear unlock schedules: - This represents how much NEPT is time-locked by the `begins_at` and the `ends_at` properties. - For lump sum unlocks: - This will be the full amount prior to the `begins_at` unlock property. - Once the time indicated by the `begins_at` property has been reached, this value will be 0. - `amount_reclaimed: string` The amount that has been reclaimed from the unlock arrangement admin This will be the amount of the remaining unclaimed and locked at the time the reclaim is issued. - `amount_staked: string` The total amount of NEPT current staked by the addresses in this group. - `amount_unlocked: string` The total amount of NEPT currently unlocked **NOTE:** This does not factor in reclaimed or expired states. - For linear unlock schedules: - This represents the "progress" of unlocked NEPT from the time range between the `begins_at` and the `ends_at` properties. - For lump sum unlocks: - This will be 0 at any given time prior to the timestamp provided by the `begins_at` unlock property. - Once the time indicated by the `begins_at` property has been reached, this value will be the full amount of the unlock. - `extra: object { percent, text, value }` - `percent: object { amount_claimable, amount_claimed, amount_expired, 4 more }` Percentages for unlock amounts. These do not factor in the `amount_staked` or `amount_held` values. Will not be null when query param `with_percent` is `true`. - `amount_claimable: string` - `amount_claimed: string` - `amount_expired: string` - `amount_locked: string` - `amount_reclaimed: string` - `amount_unlocked: string` - `extra: object { text }` - `text: object { amount_claimable, amount_claimed, amount_expired, 3 more }` Human-readable variants of percentages for unlock amounts. Will not be null when query params `with_text` and `with_percent` are `true`. - `amount_claimable: string` - `amount_claimed: string` - `amount_expired: string` - `amount_locked: string` - `amount_reclaimed: string` - `amount_unlocked: string` - `text: object { amount, amount_claimable, amount_claimed, 7 more }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `amount: string` - `amount_claimable: string` - `amount_claimed: string` - `amount_expired: string` - `amount_held: string` - `amount_locked: string` - `amount_reclaimed: string` - `amount_staked: string` - `amount_unlocked: string` - `member_class: string` - `value: object { amount, amount_claimable, amount_claimed, 8 more }` USD values for the corresponding amounts above. Will not be null when query param `with_value` is `true`. ### Note This variant group contains an additional `price` field (set to the number used in value calculation). The embedded text group will contain the text variant if `with_text` was specified as well. - `amount: string` - `amount_claimable: string` - `amount_claimed: string` - `amount_expired: string` - `amount_held: string` - `amount_locked: string` - `amount_reclaimed: string` - `amount_staked: string` - `amount_unlocked: string` - `extra: object { text }` - `text: object { amount, amount_claimable, amount_claimed, 7 more }` Human-readable variants of USD values. Will not be null when query params `with_text` and `with_value` are `true`. - `amount: string` - `amount_claimable: string` - `amount_claimed: string` - `amount_expired: string` - `amount_held: string` - `amount_locked: string` - `amount_reclaimed: string` - `amount_staked: string` - `amount_unlocked: string` - `price: string` Text representation of price - `price: string` Price used in value calculations - `member_class: "team" or "advisor" or "investor"` The group category - `"team"` - `"advisor"` - `"investor"` ### Staking Pool Full - `StakingPoolFull = object { duration, extra, index, 2 more }` Staking pool contents along with associated pool state and pool params - `duration: number` The lockup duration for this pool in seconds - `extra: object { text }` - `text: object { duration, index }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `duration: string` - `index: string` - `index: number` The ordered index (position) of this pool - `params: StakingPoolParams` Staking pool contract parameters - `flash_loan_weight: string` The pool's weight (multiplier) for flash loans volume - `gov_weight: string` The pool's weight (multiplier) on governance for an associated stake - `health_weight: string` The pool's weight (multiplier) on account health for an associated stake - `reward_weight: string` The pool's weight (multiplier) on rewards for an associated stake - `state: StakingPoolState` Current contract state of staking pool - `extra: object { text, value }` - `text: object { total_bonded }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `total_bonded: string` - `value: object { extra, price, total_bonded }` USD values for the corresponding amounts above. Will not be null when query param `with_value` is `true`. ### Note This variant group contains an additional `price` field (set to the number used in value calculation). The embedded text group will contain the text variant if `with_text` was specified as well. - `extra: object { text }` - `text: object { price, total_bonded }` Human-readable variants of USD values. Will not be null when query params `with_text` and `with_value` are `true`. - `price: string` Text representation of price - `total_bonded: string` - `price: string` Price used in value calculations - `total_bonded: string` - `total_bonded: string` The total amount staked to this pool ### Staking Pool Params - `StakingPoolParams = object { flash_loan_weight, gov_weight, health_weight, reward_weight }` - `flash_loan_weight: string` The pool's weight (multiplier) for flash loans volume - `gov_weight: string` The pool's weight (multiplier) on governance for an associated stake - `health_weight: string` The pool's weight (multiplier) on account health for an associated stake - `reward_weight: string` The pool's weight (multiplier) on rewards for an associated stake ### Staking Pool State - `StakingPoolState = object { extra, total_bonded }` - `extra: object { text, value }` - `text: object { total_bonded }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `total_bonded: string` - `value: object { extra, price, total_bonded }` USD values for the corresponding amounts above. Will not be null when query param `with_value` is `true`. ### Note This variant group contains an additional `price` field (set to the number used in value calculation). The embedded text group will contain the text variant if `with_text` was specified as well. - `extra: object { text }` - `text: object { price, total_bonded }` Human-readable variants of USD values. Will not be null when query params `with_text` and `with_value` are `true`. - `price: string` Text representation of price - `total_bonded: string` - `price: string` Price used in value calculations - `total_bonded: string` - `total_bonded: string` The total amount staked to this pool